import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
export declare class _SKRange extends _NSObject {
    static alloc(): _SKRange;
    static new(): _SKRange;
    init(): _SKRange;
    /** SKRange with a lower and upper limit */
    static rangeWithLowerLimit$upperLimit$(lower: number, upper: number): _SKRange;
    /** SKRange with only a lower limit */
    static rangeWithLowerLimit$(lower: number): _SKRange;
    /** SKRange with only a upper limit */
    static rangeWithUpperLimit$(upper: number): _SKRange;
    /** SKRange representing a single value */
    static rangeWithConstantValue$(value: number): _SKRange;
    /** SKRange representing a variance about a value */
    static rangeWithValue$variance$(value: number, variance: number): _SKRange;
    /** SKRange with no upper or lower limit */
    static rangeWithNoLimits(): _SKRange;
    /** SKRange with a lower and upper limit. Designated initializer. */
    initWithLowerLimit$upperLimit$(lower: number, upper: number): _SKRange;
    /** The lower limit, -1.0 * CGFLOAT_MAX means no limit */
    lowerLimit(): number;
    setLowerLimit$(value: number): void;
    /** The upper limit, +1.0 * CGFLOAT_MAX means no limit */
    upperLimit(): number;
    setUpperLimit$(value: number): void;
}
export interface _SKRange extends _NSSecureCoding, _NSCopying {
}
